Class | Bio::RestrictionEnzyme::Fragments
In: | lib/bio/util/restriction_enzyme.rb
Parent: | Array

Bio::RestrictionEnzyme::Fragments inherits from `Array`.

Bio::RestrictionEnzyme::Fragments is a container for Fragment objects. It adds the methods `primary` and `complement` which returns an `Array` of all respective strands from it‘s Fragment members in alphabetically sorted order. Note that it will not return duplicate items and does not return the spacing/padding that you would find by accessing the members directly.

Example:

      primary = ['attaca', 'g']
      complement = ['atga', 'cta']

Note: unrelated to Bio::RestrictionEnzyme::Range::SequenceRange::Fragments

### Methods

complement primary strip_and_sort

### Public Instance methods

complement()

[Source]

         # File lib/bio/util/restriction_enzyme.rb, line 220
    220:     def complement; strip_and_sort(:complement); end

primary()

[Source]

         # File lib/bio/util/restriction_enzyme.rb, line 219
    219:     def primary; strip_and_sort(:primary); end

### Protected Instance methods

strip_and_sort( sym_strand )

[Source]

         # File lib/bio/util/restriction_enzyme.rb, line 224
    224:     def strip_and_sort( sym_strand )
    225:       self.map {|uf| uf.send( sym_strand ).tr(' ', '') }.sort
    226:     end

[Validate]